<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width">
  <title>Document</title>
  <style>
      .img-reponsive{
          max-width: 25%;
      }
      .progress-bar-container, .progress{
          height: 20px;
      }
  </style>
</head>
<body>
    <div id="root">Loading...</div>
    <script crossorigin src="https://unpkg.com/react@16/umd/react.development.js"></script>
    <script crossorigin src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
    <script>        
        const root = document.querySelector('#root');
        
        function UserProfile(props){
            return React.createElement('div', {},
                React.createElement('h2', '', props.userName),
                React.createElement('img', {
                    className: 'img-reponsive',
                    src: props.avatar
                })
            )
        }
        const ProgressBar = function (props) { 
            return React.createElement('div', 
                { 
                    className: 'progress-bar-container', 
                    style: { backgroundColor: props.backgroundColor } 
                }, 
                React.createElement('div', 
                {       
                    className: 'progress', 
                    style: { backgroundColor: props.progressColor, width: props.width + '%' } 
                })); 
        }
        const progressBar_defaultProps = { 
            backgroundColor: '#f1f1f1', 
            progressColor: '#c1c1c1', 
            width: 50,
        }
        ProgressBar.defaultProps = progressBar_defaultProps;

        const App = React.createElement('div', {}, 
            React.createElement(UserProfile, {
                userName: 'Son Mai',
                avatar: 'https://cdn.iconscout.com/icon/free/png-512/avatar-380-456332.png'
            }),
            React.createElement(UserProfile, {
                userName: 'Batman',
                avatar: 'https://cdn.fado.vn/images/I/31x%2Bq3aNVKL._SR600,600_.jpg'
            }),
            React.createElement(ProgressBar)
        );
        ReactDOM.render(App, root);
    </script>    
</body>
</html>
